import request from '@/utils/request'

// 查询公共盘文档列表
export function listPublicdoc(query) {
  return request({
    url: '/document/publicdoc/list',
    method: 'get',
    params: query
  })
}

// 查询公共盘文档详细
export function getPublicdoc(id) {
  return request({
    url: '/document/publicdoc/' + id,
    method: 'get'
  })
}

// 新增公共盘文档
export function addPublicdoc(data) {
  return request({
    url: '/document/publicdoc',
    method: 'post',
    data: data
  })
}

// 修改公共盘文档
export function updatePublicdoc(data) {
  return request({
    url: '/document/publicdoc',
    method: 'put',
    data: data
  })
}

// 删除公共盘文档
export function delPublicdoc(id) {
  return request({
    url: '/document/publicdoc/' + id,
    method: 'delete'
  })
}

// 导出公共盘文档
export function exportPublicdoc(query) {
  return request({
    url: '/document/publicdoc/export',
    method: 'get',
    params: query
  })
}
